<script>
    export let value;
    export let min;
    export let max;

    const handleChange = (e) => {
        if ( !isNaN(e.target.value) ){
            // TODO
            if(value > max) {
                max = value;
            }
            if(value < min) {
                min = value;
            }
            // -------------------------
        }
    }
 
</script>

<div class="tooltip tooltip-right" data-tip= "Max: {max} |  Min: {min} ">
<input
        type="number"
        step="1"
        min="{min}"
        max="{max}"
        bind:value ="{value}"
        class="input input-bordered w-full border-accent"
        on:change ="{handleChange}"
/>
</div>